# $Id: Makefile.PL 1.4 Tue, 24 Jun 2008 16:57:23 +0200 mxp $
use ExtUtils::MakeMaker;

# If Makefile.PL can't find the Malaga include file and/or library,
# you'll have to help it by setting $malaga_inc and/or $malaga_lib
# below.
#
# Example:
#
#    $malaga_lib = '/usr/local/lib';
#    $malaga_inc = '/usr/local/include';

if (not $ENV{'MALAGA'})
{
   $malaga_lib = ''; # If necessary, insert library path here
   $malaga_inc = ''; # If necessary, insert include path here
}
else
{
   $malaga_lib = $ENV{'MALAGA'} . '/lib';
   $malaga_inc = $ENV{'MALAGA'} . '/include';

   if (not (-r $malaga_lib . '/libmalaga.sl' or
	    -r $malaga_lib . '/libmalaga.so' or
            -r $malaga_lib . '/libmalaga.dylib'))
   {
      $malaga_lib = '';
   }

   if (not -r $malaga_inc . '/malaga.h')
   {
      $malaga_inc = '';
   }
}

$malaga_lib = '-L' . $malaga_lib if $malaga_lib;
$malaga_inc = '-I' . $malaga_inc if $malaga_inc;

WriteMakefile(
    'NAME'	   => 'Malaga',
    # $Format: "    'VERSION'      => '$ProjectVersion$',"$
    'VERSION'      => '5.9',
    'LIBS'	   => [$malaga_lib . ' -lmalaga'],
    'DEFINE'	   => '',
    'INC'	   => $malaga_inc,
    'dist'         => {COMPRESS => 'gzip', SUFFIX => 'gz'},
);
